<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 7.8.2: Character Class Testing and Conversion</title>
<link href="sx10h.html" rev=precedes>
<link href="sx10j.html" rel=precedes>
<link href="sx10.html" rev=subdocument>
</head>
<body>
<H2>section 7.8.2: Character Class Testing and Conversion</H2>

<p>One quirk of these functions,
which the authors mention briefly,
is that although they accept arguments of type <TT>int</TT>,
it is not legal to pass just any <TT>int</TT> value to them.
If you were to attempt to call <TT>isupper(12345)</TT>,
it might do something bizarre.
You should only call these functions
with arguments which represent valid character values.
(Also,
they are guaranteed to accept the value EOF gracefully.)
</p><hr>
<p>
Read sequentially:
<a href="sx10h.html" rev=precedes>prev</a>
<a href="sx10j.html" rel=precedes>next</a>
<a href="sx10.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
